package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="车辆时间线")
public class DilCapacityTimes implements IBasePO<BigDecimal> {
    /**
     * 主键ID(TIMES_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal timesId;

    @ApiModelProperty(value="",required=false)
    private Date timesValue;

    /**
     * 类型(1:进厂；2:出厂)(TIMES_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="类型(1:进厂；2:出厂)",required=false)
    private BigDecimal timesType;

    @ApiModelProperty(value="",required=false)
    private BigDecimal timesRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.timesId;
    }

    @Override
    public void setId(BigDecimal timesId) {
        this.timesId = timesId;
    }

    public BigDecimal getTimesId() {
        return timesId;
    }

    public void setTimesId(BigDecimal timesId) {
        this.timesId = timesId;
    }

    public Date getTimesValue() {
        return timesValue;
    }

    public void setTimesValue(Date timesValue) {
        this.timesValue = timesValue;
    }

    public BigDecimal getTimesType() {
        return timesType;
    }

    public void setTimesType(BigDecimal timesType) {
        this.timesType = timesType;
    }

    public BigDecimal getTimesRemark() {
        return timesRemark;
    }

    public void setTimesRemark(BigDecimal timesRemark) {
        this.timesRemark = timesRemark;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", timesId=").append(timesId);
        sb.append(", timesValue=").append(timesValue);
        sb.append(", timesType=").append(timesType);
        sb.append(", timesRemark=").append(timesRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}